How to solve "ODI-10018: The repository 997 is not coherent between the current repository and the import file." exception when updating the ODI to 8.6.1?

(Doc ID 2414510.1)

Last updated on JUNE 22, 2018

Applies to:

Oracle Knowledge - Version 8.6 and later
Information in this document applies to any platform.

Symptoms

After updating the ODI 8.6 to 8.6.1 and following the following instructions from Readme of 8.6.1 patch:
<<

3.8.5: Upgrading ODI
The following information is needed to perform an ODI update to 8.6.1

Once the patch file has been expanded and the analytics_patch.zip has been expanded, there will be an Analytics directory with the following content:

/odi/oracle
/odi/mssql

 For customers using MS Sql Server database:

The following information is needed to perform an ODI update to 8.6.1

1. Backup the existing Work ODI repository.
2. Open ODI Studio as Supervisor. Connect to the Work repository.
3. On Designer tab, right-click on the Connect Navigator icon (top-right).
4. Select Import > Import the Work Repository. Click Ok.
5. On the pop-up window, for Import mode, select Synonym Mode INSERT_UPDATE.
6. Select Import from a folder option.
7. Browse to /odi/mssql and select the “Work” folder. Click Ok. The merging will take a couple of minutes.

>>
we are getting the below error:

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms